%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-FCGI
Version:       0.82
Release:       2mamba
Summary:       A Fast CGI module for Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/modules/by-module/FCGI/FCGI-%{version}.tar.gz
License:       Artistic, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-FCGI-Client
Requires:      perl >= %perl_major_ver

%description
This is a Fast CGI module for perl. It's based on the FCGI module that comes with Open Market's FastCGI Developer's Kit, but does not require you to recompile perl

%prep
%setup -q -n FCGI-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 0.82-2mamba
- rebuilt with perl 5.36.0

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 0.82-1mamba
- automatic version update by autodist

* Wed Jan 22 2020 Automatic Build System <autodist@mambasoft.it> 0.79-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.78-2mamba
- rebuilt with perl 5.24

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 0.78-1mamba
- automatic update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 0.77-1mamba
- automatic update by autodist

* Sun Aug 03 2014 Automatic Build System <autodist@mambasoft.it> 0.75-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.74-2mamba
- perl 5.16 mass rebuild

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 0.74-1mamba
- automatic version update by autodist

* Mon Jun 20 2011 Automatic Build System <autodist@mambasoft.it> 0.73-1mamba
- automatic update by autodist

* Sat May 21 2011 Automatic Build System <autodist@mambasoft.it> 0.72-1mamba
- automatic update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 0.71-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.67-2mamba
- automatic rebuild by autodist

* Wed Jul 16 2008 gil <puntogil@libero.it> 0.67-1mamba
- package created by autospec
